/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   utils.h                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/26 16:31:10 by erey-bet          #+#    #+#             */
/*   Updated: 2023/03/27 04:06:39 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef LIBFT_H
# define LIBFT_H

# include <stdlib.h>
# include <unistd.h>

int		ft_atoi(const char *nptr);
int		ft_atoi_check(const char *nptr);
int		ft_strlen(const char *str);
void	*ft_calloc(size_t nitems, size_t size);
void	ft_bzero(void *s, unsigned int n);
void	*ft_memset(void *ptr, int v, size_t count);
void	ft_putnbr_fd(int n, int fd);
void	ft_putstr_fd(char *s, int fd);
void	ft_putchar_fd(char c, int fd);
char	*ft_itoa(long long n);
void	ft_strcpy(char *dest, const char *src);
void	ft_strcat(char *dest, const char *src);
int	ft_itoa_bozo(char *str, long long n);

#endif
